Skip to content
qibdo qibdo
v1
API version
  • v1
Theme
Book a demo

List Permissions

GET
/iam/v1/permissions
curl --request GET \
--url https://example.com/iam/v1/permissions

Returns a paginated list of all available permissions

page_size
integer format: int32

The maximum number of permissions to return. The service may return fewer than this value. If unspecified, at most 20 permissions will be returned. The maximum value is 100; values above 100 will be coerced to 100.

page_token
string

A page token, received from a previous ListPermissions call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListPermissions must match the call that provided the page token.

filter
string

AIP-160 filter expression, e.g. ‘service = “compute”’

order_by
string

AIP-132 order_by expression, e.g. ‘name asc’

OK

Media type application/json

ListPermissionsResponse

Response message for ListPermissions. Note: This API intentionally omits total_size from list responses. Keyset pagination does not support efficient total count computation (COUNT(*) requires a full table scan). Per AIP-158, total_size is optional.

object
permissions

The list of permissions

Array<object>

Permission resource — a granular action that can be assigned to roles

object
name

The natural key of the permission (..)

string
service

The service this permission belongs to (e.g. “compute”)

stringOutput only
resource

The resource this permission applies to (e.g. “vm”)

stringOutput only
action

The action this permission grants (e.g. “create”)

stringOutput only
description

Human-readable explanation of the permission

stringOutput only
next_page_token

A token, which can be sent as page_token to retrieve the next page. If this field is empty, there are no subsequent pages.

string
Example generated
{
"permissions": [
{
"name": "example"
}
],
"next_page_token": "example"
}

Default error response

Media type application/json

The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.

object
code

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

integer format: int32
message

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

string
details

A list of messages that carry the error details. There is a common set of message types for APIs to use.

Array<object>

Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.

object
@type

The type of the serialized message.

string
key
additional properties
any
Example generated
{
"code": 1,
"message": "example",
"details": [
{
"@type": "example"
}
]
}